<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationPrereq](./bitburner.singularity.getaugmentationprereq.md)

## Singularity.getAugmentationPrereq() method

Get the pre-requisite of an augmentation.

**Signature:**

```typescript
getAugmentationPrereq(augName: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of Augmentation. |

**Returns:**

string\[\]

Array with the names of the prerequisite Augmentation(s) for the specified Augmentation.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function returns an array with the names of the prerequisite Augmentation(s) for the specified Augmentation. If there are no prerequisites, a blank array is returned.

